> ## Documentation Index
> Fetch the complete documentation index at: https://jigsaw-13.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Embedding

> Generate vector embeddings from various content types including text, images, audio, and PDF files.

## Request Parameters

### Body

<ParamField body="url" type="string">
  The image url.
</ParamField>

<ParamField body="file_store_key" type="string">
  The key used to store the image on Jigsawstack file. Learn more about how to handle files in Jigsawstack's [Handling Files](/docs/api-reference/handling-files) section.
</ParamField>

<ParamField body="text" type="string">
  The text content to generate embeddings for. Optional if providing content through another method.
</ParamField>

<ParamField body="type" type="string" required>
  The type of content being processed. Must be one of the following values:

  * `text`: Plain text input
  * `text-other`: Other text format
  * `image`: Image content
  * `audio`: Audio content
  * `pdf`: PDF document
</ParamField>

<ParamField body="token_overflow_mode" type="string" default="error">
  Determines behavior when input exceeds token limits:

  * `error`: Return an error (default)
  * `truncate`: Truncate the input to fit within token limits
</ParamField>

<Snippet file="header.mdx" />

## Response Structure

<ResponseField name="success" type="boolean">
  Indicates whether the call was successful.
</ResponseField>

<ResponseField name="_usage" type="object" optional>
  Usage information for the API call.

  <Expandable title="_usage">
    <ResponseField name="input_tokens" type="number">
      Number of input tokens processed.
    </ResponseField>

    <ResponseField name="output_tokens" type="number">
      Number of output tokens generated.
    </ResponseField>

    <ResponseField name="inference_time_tokens" type="number">
      Number of tokens processed during inference time.
    </ResponseField>

    <ResponseField name="total_tokens" type="number">
      Total number of tokens used (input + output).
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="log_id" type="string" optional>
  A unique identifier for the request
</ResponseField>

<ResponseField name="embeddings" type="array<array<number>>">
  The vector embedding representation of the input content. This is an array of arrays of floating-point numbers.
</ResponseField>

<ResponseField name="chunks" type="array<string> | array<object>">
  Array of text chunks with timestamps. Only available for text and audio content types.

  <Expandable title="Chunk Object">
    <ResponseField name="text" type="string">
      The text content of this chunk.
    </ResponseField>

    <ResponseField name="timestamp" type="array<number>">
      Array containing start and end time positions for this chunk.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```javascript Javascript theme={null}
  import { JigsawStack } from "jigsawstack";

  const jigsaw = JigsawStack({ apiKey: "your-api-key" });

  const response = await jigsaw.embedding({
    "text": "Caption: Secluded Tiki Bar on a serene lake, perfect for a refreshing drink and a relaxing getaway",
    "type": "text"
  })
  ```

  ```python Python theme={null}
  from jigsawstack import JigsawStack

  jigsaw = JigsawStack(api_key="your-api-key")

  response = jigsaw.embedding({
    "text": "Caption: Secluded Tiki Bar on a serene lake, perfect for a refreshing drink and a relaxing getaway",
    "type": "text"
  })
  ```

  ```bash Curl theme={null}
  curl https://api.jigsawstack.com/v1/embedding \
  -X POST \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: your-api-key' \
  -d '{"text":"Caption: Secluded Tiki Bar on a serene lake, perfect for a refreshing drink and a relaxing getaway","type":"text"}'
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init();
  curl_setopt($ch, CURLOPT_URL, 'https://api.jigsawstack.com/v1/embedding');
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
  'Content-Type: application/json',
  'x-api-key: your-api-key',
  ]);
  curl_setopt($ch, CURLOPT_POSTFIELDS, '{"text":"Caption: Secluded Tiki Bar on a serene lake, perfect for a refreshing drink and a relaxing getaway","type":"text"}');

  $response = curl_exec($ch);

  curl_close($ch);

  ```

  ```ruby Ruby theme={null}
  require 'net/http'
  require 'json'

  uri = URI('https://api.jigsawstack.com/v1/embedding')
  req = Net::HTTP::Post.new(uri)
  req.content_type = 'application/json'
  req['x-api-key'] = 'your-api-key'

  req.body = {
  'text' => 'Caption: Secluded Tiki Bar on a serene lake, perfect for a refreshing drink and a relaxing getaway',
  'type' => 'text'
  }.to_json

  req_options = {
  use_ssl: uri.scheme == 'https'
  }
  res = Net::HTTP.start(uri.hostname, uri.port, req_options) do |http|
  http.request(req)
  end

  ```

  ```go Go theme={null}
  package main

  import (
  "fmt"
  "io"
  "log"
  "net/http"
  "strings"
  )

  func main() {
  client := &http.Client{}
  var data = strings.NewReader(`{"text":"Caption: Secluded Tiki Bar on a serene lake, perfect for a refreshing drink and a relaxing getaway","type":"text"}`)
  req, err := http.NewRequest("POST", "https://api.jigsawstack.com/v1/embedding", data)
  if err != nil {
  	log.Fatal(err)
  }
  req.Header.Set("Content-Type", "application/json")
  req.Header.Set("x-api-key", "your-api-key")
  resp, err := client.Do(req)
  if err != nil {
  	log.Fatal(err)
  }
  defer resp.Body.Close()
  bodyText, err := io.ReadAll(resp.Body)
  if err != nil {
  	log.Fatal(err)
  }
  fmt.Printf("%s\n", bodyText)
  }

  ```

  ```java Java theme={null}
  import java.io.IOException;
  import java.net.URI;
  import java.net.http.HttpClient;
  import java.net.http.HttpRequest;
  import java.net.http.HttpRequest.BodyPublishers;
  import java.net.http.HttpResponse;

  HttpClient client = HttpClient.newHttpClient();

  HttpRequest request = HttpRequest.newBuilder()
  .uri(URI.create("https://api.jigsawstack.com/v1/embedding"))
  .POST(BodyPublishers.ofString("{\"text\":\"Caption: Secluded Tiki Bar on a serene lake, perfect for a refreshing drink and a relaxing getaway\",\"type\":\"text\"}"))
  .setHeader("Content-Type", "application/json")
  .setHeader("x-api-key", "your-api-key")
  .build();

  HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());

  ```

  ```swift Swift theme={null}
  import Foundation

  let jsonData = [
  "text": "Caption: Secluded Tiki Bar on a serene lake, perfect for a refreshing drink and a relaxing getaway",
  "type": "text"
  ] as [String : Any]
  let data = try! JSONSerialization.data(withJSONObject: jsonData, options: [])

  let url = URL(string: "https://api.jigsawstack.com/v1/embedding")!
  let headers = [
  "Content-Type": "application/json",
  "x-api-key": "your-api-key"
  ]

  var request = URLRequest(url: url)
  request.httpMethod = "POST"
  request.allHTTPHeaderFields = headers
  request.httpBody = data as Data

  let task = URLSession.shared.dataTask(with: request) { (data, response, error) in
  if let error = error {
      print(error)
  } else if let data = data {
      let str = String(data: data, encoding: .utf8)
      print(str ?? "")
  }
  }

  task.resume()

  ```

  ```dart Dart theme={null}
  import 'package:http/http.dart' as http;

  void main() async {
  final headers = {
  'Content-Type': 'application/json',
  'x-api-key': 'your-api-key',
  };

  final data = '{"text":"Caption: Secluded Tiki Bar on a serene lake, perfect for a refreshing drink and a relaxing getaway","type":"text"}';

  final url = Uri.parse('https://api.jigsawstack.com/v1/embedding');

  final res = await http.post(url, headers: headers, body: data);
  final status = res.statusCode;
  if (status != 200) throw Exception('http.post error: statusCode= $status');

  print(res.body);
  }

  ```

  ```kotlin Kotlin theme={null}
  import java.io.IOException
  import okhttp3.MediaType.Companion.toMediaType
  import okhttp3.OkHttpClient
  import okhttp3.Request
  import okhttp3.RequestBody.Companion.toRequestBody

  val client = OkHttpClient()

  val MEDIA_TYPE = "application/json".toMediaType()

  val requestBody = "{\"text\":\"Caption: Secluded Tiki Bar on a serene lake, perfect for a refreshing drink and a relaxing getaway\",\"type\":\"text\"}"

  val request = Request.Builder()
  .url("https://api.jigsawstack.com/v1/embedding")
  .post(requestBody.toRequestBody(MEDIA_TYPE))
  .header("Content-Type", "application/json")
  .header("x-api-key", "your-api-key")
  .build()

  client.newCall(request).execute().use { response ->
  if (!response.isSuccessful) throw IOException("Unexpected code $response")
  response.body!!.string()
  }

  ```

  ```csharp C# theme={null}
  using System.Net.Http.Headers;
  using System.Net.Http.Json;

  HttpClient client = new HttpClient();

  HttpRequestMessage request = new HttpRequestMessage(HttpMethod.Post, "https://api.jigsawstack.com/v1/embedding");
  request.Headers.Add("x-api-key", "your-api-key");
  request.Content = JsonContent.Create(new
  {
  text = "Caption: Secluded Tiki Bar on a serene lake, perfect for a refreshing drink and a relaxing getaway",
  type = "text"
  });
  request.Content.Headers.ContentType = new MediaTypeHeaderValue("application/json");

  HttpResponseMessage response = await client.SendAsync(request);
  response.EnsureSuccessStatusCode();
  string responseBody = await response.Content.ReadAsStringAsync();

  Console.WriteLine(responseBody);
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "embeddings": [
          [
                -0.06269700080156326,
                0.0896194726228714,
                -0.04227621480822563,
                -0.046519096940755844,
                -0.02535046637058258,
                -0.05726366862654686,
                0.022328557446599007,
                0.08247677236795425,
                -0.01738361269235611,
                -0.07240374386310577,
                -0.004616806749254465,
                -0.025930428877472878,
                -0.07008389383554459,
                -0.007711212150752544,
                -0.09261085838079453,
                0.03952902555465698,
                0.046824339777231216,
                0.035591382533311844,
                0.049785204231739044,
                0.10872770845890045,
                0.04273407906293869,
                0.023885298520326614,
                0.01059957779943943,
                -0.016315260902047157,
                -0.03888801112771034,
                0.1354059875011444,
                0.027029305696487427,
                0.01054615993052721,
                -0.02821975387632847,
                -0.003025725483894348,
                -0.08235467970371246,
                -0.09102358669042587,
                -0.009630430489778519,
                -0.0015147705562412739,
                0.07698239386081696,
                -0.007325842045247555,
                -0.07918014377355576,
                -0.005986586678773165,
                0.004719826392829418,
                -0.028372377157211304,
                -0.06593257933855057,
                0.06052977219223976,
                0.013300982303917408,
                0.024984175339341164,
                -0.04926628991961479,
                -0.008699437603354454,
                -0.030417507514357567,
                0.03968164697289467,
                0.026174623519182205,
                -0.008371300995349884,
                -0.0328136682510376,
                -0.004681671038269997,
                -0.013049156405031681,
                0.03330205753445625,
                0.04252040758728981,
                -0.02930336818099022,
                -0.14273183047771454,
                0.05079250782728195,
                0.07582246512174606,
                -0.052959732711315155,
                0.0082034170627594,
                -0.004189466126263142,
                -0.08662808686494827,
                -0.03736179694533348,
                0.03060065396130085,
                0.01660524308681488,
                0.025289418175816536,
                -0.008325514383614063,
                0.12337939441204071,
                0.029425466433167458,
                -0.042337264865636826,
                -0.007302949205040932,
                -0.017627807334065437,
                0.007768445182591677,
                0.04664119705557823,
                0.07038913667201996,
                -0.03739231824874878,
                0.013362031430006027,
                0.008088950999081135,
                0.013186516240239143,
                -0.10530897974967957,
                0.010370645672082901,
                0.029211796820163727,
                0.00680692819878459,
                -0.029211796820163727,
                -0.03345467895269394,
                -0.05149456486105919,
                -0.04523707553744316,
                0.03537771478295326,
                -0.017230991274118423,
                -0.005059409886598587,
                0.08143894374370575,
                0.0054600415751338005,
                -0.0056775277480483055,
                0.025533612817525864,
                -0.018848782405257225,
                -0.043710857629776,
                0.030249623581767082,
                0.019184550270438194,
                -0.012476825155317783,
                0.004933496937155724,
                0.0213059913367033,
                0.06153707578778267,
                -0.002653710078448057,
                -0.03647658973932266,
                -0.014109876938164234,
                -0.006433004979044199,
                -0.005181507207453251,
                0.01944400556385517,
                0.0004170865286141634,
                -0.037850186228752136,
                -0.004513787105679512,
                -0.038247000426054,
                -0.055676400661468506,
                -0.057538386434316635,
                0.03150112181901932,
                -0.005959877744317055,
                -0.02971544675529003,
                0.013781740330159664,
                -0.008775748312473297,
                -0.03669026121497154,
                -0.027822937816381454,
                -0.0074326773174107075,
                0.008928370662033558,
                -0.049174714833498,
                0.05701947212219238,
                -0.06544419378042221,
                -0.045939136296510696,
                -0.02612883783876896,
                -0.04429082199931145,
                0.011141384951770306,
                0.039071157574653625,
                0.0470074862241745,
                -0.007192298304289579,
                0.036995504051446915,
                -0.021016009151935577,
                -0.033179961144924164,
                0.02011554129421711,
                0.01508665643632412,
                -0.051952432841062546,
                -0.05115879699587822,
                0.038949061185121536,
                -0.08497977256774902,
                0.011675560846924782,
                -0.014033566229045391,
                -0.005536352749913931,
                0.016879960894584656,
                0.008653650991618633,
                0.010202761739492416,
                -0.012469193898141384,
                -0.01771938055753708,
                0.011377948336303234,
                0.004307747818529606,
                -0.015720035880804062,
                0.02799082174897194,
                -0.04340561479330063,
                -0.06648201495409012,
                0.05036516487598419,
                -0.027181927114725113,
                -0.018650373443961143,
                0.094014972448349,
                0.019718725234270096,
                -0.00028163474053144455,
                -0.04429082199931145,
                -0.011576357297599316,
                -0.05189138278365135,
                -0.06465055793523788,
                -0.0007502310909330845,
                -0.029868070036172867,
                0.04395505413413048,
                -0.052410297095775604,
                0.022221721708774567,
                -0.00994330458343029,
                -0.021473875269293785,
                -0.031653743237257004,
                0.011927386745810509,
                0.013590963557362556,
                0.04291722550988197,
                0.01900140382349491,
                -0.014865354634821415,
                0.05060936138033867,
                0.015582676976919174,
                -0.030249623581767082,
                -0.008058426901698112,
                -0.02370215207338333,
                0.0004397412994876504,
                0.016467882320284843,
                0.008653650991618633,
                -0.007524250540882349,
                0.011408473365008831,
                -0.023747937753796577,
                -0.01979503594338894,
                -0.10262283682823181,
                0.03311891108751297,
                0.0010053955484181643,
                -0.044840257614851,
                -0.0072342692874372005,
                0.01782621629536152,
                0.048899997025728226,
                0.02767031639814377,
                0.03336310759186745,
                0.006425374187529087,
                0.01070641353726387,
                0.043100371956825256,
                -0.011545832268893719,
                -0.05012097209692001,
                -0.03833857551217079,
                0.02796029858291149,
                0.04023108258843422,
                0.0028521183412522078,
                0.07270898669958115,
                0.005543983541429043,
                0.03882696479558945,
                -0.013598594814538956,
                -0.05543220788240433,
                0.011232958175241947,
                -0.029379678890109062,
                -0.028876028954982758,
                -0.025747282430529594,
                -0.015208753757178783,
                -0.01747518591582775,
                -0.02295430563390255,
                -0.03060065396130085,
                -0.027365073561668396,
                0.035255614668130875,
                0.02731928601861,
                -0.027716103941202164,
                0.019932394847273827,
                0.034156739711761475,
                -0.01890983060002327,
                0.011423734948039055,
                -0.0077608139254152775,
                0.01617790199816227,
                -0.013270458206534386,
                -0.0002085432643070817,
                -0.061048686504364014,
                0.021031271666288376,
                -0.02086338773369789,
                0.025625186040997505,
                0.07600561529397964,
                0.03794175758957863,
                -0.024449998512864113,
                0.04899156838655472,
                0.02612883783876896,
                -0.021031271666288376,
                -0.01032485906034708,
                -0.00037869263906031847,
                -0.04252040758728981,
                -0.018070410937070847,
                0.09761685132980347,
                -0.04731273278594017,
                0.030966944992542267,
                -0.006520762573927641,
                0.04801478981971741,
                -0.023915821686387062,
                -0.011721347458660603,
                0.057874154299497604,
                -0.010965869762003422,
                -0.053387075662612915,
                -0.00782186258584261,
                0.02086338773369789,
                -0.01683417521417141,
                -0.010057770647108555,
                0.04010898619890213,
                0.022694848477840424,
                -0.057874154299497604,
                -0.016574718058109283,
                0.013545176945626736,
                0.017307301983237267,
                -0.005936984438449144,
                0.004883894696831703,
                0.03214213252067566,
                -0.03672078251838684,
                0.03028014861047268,
                0.00039300089702010155,
                0.007776076439768076,
                -0.009989091195166111,
                -0.013590963557362556,
                -0.047587450593709946,
                0.004662593360990286,
                0.006574180442839861,
                0.01965767703950405,
                -0.012057115323841572,
                -0.019047189503908157,
                -0.011347424238920212,
                0.027242975309491158,
                -0.009027574211359024,
                -0.02086338773369789,
                -0.05845411494374275,
                0.04313089698553085,
                -0.008127106353640556,
                -0.0072075603529810905,
                -0.0029894777107983828,
                0.04880842566490173,
                0.022435391321778297,
                0.0077608139254152775,
                -0.07301422953605652,
                -0.020924437791109085,
                0.03192846104502678,
                -0.018833519890904427,
                -0.05265448987483978,
                -0.019642414525151253,
                0.006921394728124142,
                0.03247790038585663,
                0.033057864755392075,
                -0.0026804187800735235,
                -0.04545074701309204,
                -0.03794175758957863,
                -0.04719063267111778,
                0.023305336013436317,
                -0.020832864567637444,
                0.031073780730366707,
                -0.009195458143949509,
                0.058850932866334915,
                0.06022452935576439,
                0.05234924703836441,
                0.037880707532167435,
                -0.00814236793667078,
                -0.02927284501492977,
                -0.0022626169957220554,
                -0.005780547391623259,
                0.08406403660774231,
                -0.0024438551627099514,
                -0.039071157574653625,
                -0.06806928664445877,
                -0.027822937816381454,
                0.0005627925856970251,
                0.023305336013436317,
                -0.04404662549495697,
                -0.00891310814768076,
                -0.024556834250688553,
                0.016193164512515068,
                0.025182582437992096,
                -0.05256291851401329,
                0.015620832331478596,
                0.03629344329237938,
                0.03015805035829544,
                0.013445972464978695,
                0.011500045657157898,
                0.011530570685863495,
                0.013217040337622166,
                -0.02238960564136505,
                -0.06248332932591438,
                -0.01409461535513401,
                0.02753295749425888,
                -0.04404662549495697,
                0.020146066322922707,
                -0.0535702221095562,
                0.03397359326481819,
                -0.026052527129650116,
                0.034797750413417816,
                0.023198500275611877,
                0.018650373443961143,
                0.05473014712333679,
                0.018177246674895287,
                -0.07002284377813339,
                -0.018421441316604614,
                0.027380336076021194,
                -0.014438014477491379,
                0.018833519890904427,
                0.045633893460035324,
                -0.040597375482320786,
                0.03137902542948723,
                0.012568398378789425,
                0.004941128194332123,
                -0.0005327451508492231,
                -0.012423407286405563,
                0.00291125918738544,
                -0.02873866818845272,
                -0.008874952793121338,
                -0.002079470781609416,
                0.022664325311779976,
                0.002716666553169489,
                0.072159543633461,
                -0.0459086112678051,
                -0.03015805035829544,
                0.023641103878617287,
                0.018818257376551628,
                0.014453276060521603,
                0.029807019978761673,
                0.011332162655889988,
                -0.0623307079076767,
                0.011019287630915642,
                -0.0185740627348423,
                0.008874952793121338,
                -0.02110758237540722,
                -0.04328351840376854,
                -0.03620187193155289,
                0.004189466126263142,
                0.005292158108204603,
                0.03540823608636856,
                -0.030020691454410553,
                -0.039834268391132355,
                0.027471907436847687,
                0.025823593139648438,
                -0.036446064710617065,
                0.07136591523885727,
                0.0191387627273798,
                -0.01793305203318596,
                0.01617790199816227,
                0.008005009032785892,
                0.02525889314711094,
                0.01207237783819437,
                0.03418726474046707,
                0.012774437665939331,
                0.04056685045361519,
                -0.03311891108751297,
                -0.08333145827054977,
                0.030005428940057755,
                0.02174859493970871,
                0.030203837901353836,
                -0.04511497914791107,
                0.07161010801792145,
                -0.04270355403423309,
                0.007451754994690418,
                0.0295170396566391,
                0.018116196617484093,
                -0.06898501515388489,
                0.12008276581764221,
                -0.021657021716237068,
                0.01404119748622179,
                0.013980149291455746,
                0.010714043863117695,
                -0.010042509064078331,
                -0.02632724493741989,
                0.040170036256313324,
                0.09303819388151169,
                0.06526104360818863,
                -0.008195785805583,
                -0.017200466245412827,
                -0.03516404330730438,
                0.045298125594854355,
                -0.022450653836131096,
                -0.047373779118061066,
                -0.049174714833498,
                -0.011782396584749222,
                -0.0017274869605898857,
                0.009149671532213688,
                -0.0005971324280835688,
                -0.03659868612885475,
                -0.0004495186440180987,
                0.06355167925357819,
                0.02831132709980011,
                -0.07301422953605652,
                -0.001530986512079835,
                -0.02918127179145813,
                0.04346666485071182,
                0.009493070654571056,
                0.011820551939308643,
                0.00027686532121151686,
                -0.02371741458773613,
                0.041268911212682724,
                -0.026296721771359444,
                -0.003014278830960393,
                0.02941020391881466,
                0.024190541356801987,
                -0.01903192698955536,
                0.04053632542490959,
                0.00858497153967619,
                0.006642859894782305,
                -0.03177583962678909,
                -0.009363342076539993,
                0.009416759945452213,
                0.01727677881717682,
                0.025091009214520454,
                0.01480430644005537,
                0.017734643071889877,
                0.04841160774230957,
                -0.022755896672606468,
                0.05643950775265694,
                0.010256178677082062,
                0.039620596915483475,
                0.006734433118253946,
                -0.014682209119200706,
                -0.00857734028249979,
                0.04450448974967003,
                -0.01465168409049511,
                0.004849554970860481,
                -0.011706084944307804,
                -0.01900140382349491,
                0.03968164697289467,
                0.02380898781120777,
                -0.002806331729516387,
                -0.022236984223127365,
                0.011271113529801369,
                0.011454259976744652,
                -0.016742601990699768,
                -0.04679381847381592,
                -0.00858497153967619,
                0.03147059679031372,
                0.05811834707856178,
                0.06129287928342819,
                0.004006320144981146,
                -0.02962387539446354,
                0.014033566229045391,
                -0.026632489636540413,
                0.00782186258584261,
                -0.005025069694966078,
                0.03702602908015251,
                0.005437148734927177,
                -0.01343834213912487,
                -0.0032565658912062645,
                -0.00918782688677311,
                0.05955299362540245,
                0.0382775254547596,
                -0.028021346777677536,
                0.06056029722094536,
                -0.0020298687741160393,
                0.013300982303917408,
                0.03803333267569542,
                -0.030570128932595253,
                -0.025197844952344894,
                0.040475279092788696,
                -0.0007645394071005285,
                -0.03375992178916931,
                -0.013270458206534386,
                -0.013697798363864422,
                0.09364867955446243,
                -0.003353862091898918,
                0.050975650548934937,
                -0.005044147837907076,
                -0.002787254052236676,
                -0.03681235760450363,
                0.014659315347671509,
                0.03050908073782921,
                -0.015979493036866188,
                0.0688629150390625,
                0.00513953622430563,
                0.002342743333429098,
                0.03162321820855141,
                -0.026174623519182205,
                0.07728763669729233,
                0.030524343252182007,
                0.0015414792578667402,
                -0.0030791431199759245,
                0.04108576476573944,
                -0.00549438176676631,
                0.048686325550079346,
                0.02173333242535591,
                0.010485111735761166,
                -0.03226422891020775,
                -0.07197640091180801,
                0.019917134195566177,
                0.022313294932246208,
                -0.049876775592565536,
                0.040170036256313324,
                0.005047963000833988,
                -0.042245689779520035,
                -0.013941993936896324,
                -0.008829166181385517,
                0.008592602796852589,
                0.00015381406410597265,
                -0.008264466188848019,
                0.008516291156411171,
                -0.029013387858867645,
                0.023106927052140236,
                0.007653979118913412,
                -0.03455355763435364,
                -0.009485439397394657,
                -0.0024877339601516724,
                -0.018421441316604614,
                -0.03577452898025513,
                -0.046183329075574875,
                0.03128745034337044,
                0.04960205778479576,
                -0.008714700117707253,
                -0.03137902542948723,
                0.043314043432474136,
                -0.03287471830844879,
                0.01901666633784771,
                0.025854118168354034,
                0.008508660830557346,
                0.0568363256752491,
                0.001928756944835186,
                0.010530898347496986,
                0.01514007430523634,
                -0.03330205753445625,
                -0.05155561491847038,
                -0.05564587563276291,
                0.014071721583604813,
                -0.03583557903766632,
                -0.0158573966473341,
                0.03723969683051109,
                -0.02960861288011074,
                -0.04951048269867897,
                0.0077875228598713875,
                -0.043771907687187195,
                0.06404007226228714,
                0.06898501515388489,
                -0.046732768416404724,
                -0.03202003613114357,
                0.07600561529397964,
                0.02142808772623539,
                -0.050975650548934937,
                0.05985823646187782,
                -0.01944400556385517,
                -0.015689512714743614,
                0.04074999690055847,
                0.10042508691549301,
                0.05433332920074463,
                0.012469193898141384,
                -0.015605569817125797,
                0.021992789581418037,
                -0.0067420643754303455,
                -0.004029213450849056,
                -0.05091460421681404,
                0.02524363063275814,
                -0.014857723377645016,
                -0.01825355738401413,
                0.030768537893891335,
                0.048777900636196136,
                -0.022450653836131096,
                0.007253346964716911,
                -0.014834830537438393,
                -0.047923218458890915,
                0.010080664418637753,
                -0.03672078251838684,
                -0.010088295675814152,
                0.013400186784565449,
                0.04731273278594017,
                -0.027395596727728844,
                0.0019125408725813031,
                0.05924775078892708,
                0.013491759076714516,
                -0.021672282367944717,
                0.020680241286754608,
                0.019505055621266365,
                -0.04532865062355995,
                -0.04850317910313606,
                -0.022313294932246208,
                0.012316572479903698,
                -0.029471252113580704,
                0.015307958237826824,
                0.019535578787326813,
                0.041055239737033844,
                0.00033362151589244604,
                -0.041909921914339066,
                -0.020054493099451065,
                -0.017307301983237267,
                -0.055584829300642014,
                -0.027731364592909813,
                0.022221721708774567,
                -0.011355055496096611,
                0.024862077087163925,
                0.08668912947177887,
                0.016483144834637642,
                0.019703462719917297,
                0.00989751797169447,
                -0.024236328899860382,
                -0.01727677881717682,
                0.004296301398426294,
                -0.004704564344137907,
                0.016315260902047157,
                0.012614184990525246,
                -0.035469286143779755,
                -0.02480102889239788,
                -0.02821975387632847,
                -0.0023808986879885197,
                0.036110296845436096,
                0.05714156851172447,
                0.04358876124024391,
                0.00988988671451807,
                -0.01616263948380947,
                -0.03543876111507416,
                -0.0481063649058342,
                0.035011421889066696,
                0.024755241349339485,
                0.07795917242765427,
                0.044962357729673386,
                0.02753295749425888,
                0.008180524222552776,
                -0.02206910029053688,
                -0.01409461535513401,
                -0.00033481387072242796,
                0.02480102889239788,
                0.038185954093933105,
                0.0077264741994440556,
                -0.06330748647451401,
                0.003577071474865079,
                0.030112264677882195,
                0.05320392921566963,
                0.006673384457826614,
                -0.0007764629554003477,
                0.009546488523483276,
                -0.0612318329513073,
                0.020954960957169533,
                -0.0023198500275611877,
                0.027838200330734253,
                0.019123500213027,
                -0.015124811790883541,
                0.03150112181901932,
                0.015048501081764698,
                -0.028173968195915222,
                0.010637733153998852,
                0.011759502813220024,
                -0.02896760031580925,
                0.06251385062932968,
                0.07338052242994308,
                0.0007511849980801344,
                0.005750022828578949,
                0.007390706334263086,
                0.0031554538290947676,
                0.011446628719568253,
                0.03037172183394432,
                -0.05225767567753792,
                -0.013140729628503323,
                0.029013387858867645,
                -0.0169562716037035,
                0.010820879600942135,
                -0.033820971846580505,
                0.005700421053916216,
                0.02962387539446354,
                -0.03992583975195885,
                0.0928550511598587,
                -0.01607106626033783,
                0.03696497902274132,
                -0.012644709087908268,
                0.02304587885737419,
                0.004754166584461927,
                -0.009508333168923855,
                0.035896625369787216,
                0.03989531472325325,
                -0.03815542906522751,
                0.014880617149174213,
                -0.011004025116562843,
                0.011004025116562843,
                -0.014537218026816845,
                0.010462218895554543,
                -0.009554118849337101,
                0.03247790038585663,
                -0.023763200268149376,
                -0.0077264741994440556,
                0.04142153263092041,
                0.03901011124253273,
                -0.007905804552137852,
                0.010156975127756596,
                -0.019413482397794724,
                -0.015689512714743614,
                -0.012850748375058174,
                -0.0328136682510376,
                -0.0009166841628029943,
                -0.03189793974161148,
                -0.040933143347501755,
                0.09462546557188034,
                -0.012827854603528976,
                -0.015285064466297626,
                -0.0006882285233587027,
                0.015674250200390816,
                0.03943745046854019,
                -0.00478469068184495,
                -0.061598122119903564,
                0.016116853803396225,
                -0.0038403437938541174,
                0.021290728822350502,
                0.07154905796051025,
                -0.026479866355657578,
                0.003727785311639309,
                0.030951684340834618,
                -0.05265448987483978,
                0.03342415392398834,
                0.011225326918065548,
                0.03791123256087303,
                0.04270355403423309,
                0.05005992203950882,
                -0.04404662549495697,
                -0.017978837713599205,
                -0.000742600008379668,
                -0.056347936391830444
          ]
    ],
    "chunks": [
          "Caption: Secluded Tiki Bar on a serene lake, perfect for a refreshing drink and a relaxing getaway"
    ],
    "_usage": {
          "input_tokens": 32,
          "output_tokens": 1226,
          "inference_time_tokens": 1007,
          "total_tokens": 2265
    }
  }
  ```
</ResponseExample>
